pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: How to upgrade?


For home user, in my opinion the easist way to perform upgrade softwares is:

- Get latest vulnerability list: 'download-vulnerability-list'

- Download pkgsrc-2008Q2 from and extract the archive.

- Install pkgsrc/pkgtools/pkg_rolling-replace

- Type 'pkg_rolling-replace -u -v'

Note1: You may wish to insert 'ALLOW_VULNERABLE_PACKAGES=yes' into /etc/mk.conf as Havard explained before. Note2: You may wish to check 'man pkg_rolling-replace' manual page to see what -u -v performs.


Home | Main Index | Thread Index | Old Index